Name:       perl-Perl6-Export
Version:    0.009
Release:    4%{?dist}
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    Implements the Perl 6 'is export(...)' trait
Url:        https://metacpan.org/pod/Perl6::Export
Source:     https://cpan.metacpan.org/authors/id/D/DC/DCONWAY/Perl6-Export-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Filter::Simple)

# Not supplied by module.
Provides:      perl(Perl6::Export)


%description
Implements what I hope the Perl 6 symbol export mechanism might look like.

It's very straightforward:

* *

%prep
%setup -q -n Perl6-Export-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2019 Greg Wildman <greg@techno.co.za> - 0.009-4
- rebuilt

* Thu May 24 2018 Greg Wildman <greg@techno.co.za> 0.009-3
- Add Provides.

* Fri Dec 15 2017 Greg Wildman <greg@techno.co.za> 0.009-2
- Update version.

* Sun Jul 05 2015 Greg Wildman <greg@techno.co.za> 0.07-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.4)
